<template>
	<a href="#" onclick={handleClick}>
		<div class="border">
            <lightning-layout vertical-align="center" class="slds-border_left slds-border_right slds-border_top slds-border_bottom slds-p-around_xx-small">
                <lightning-icon icon-name="standard:account" alternative-text="Patient" title={record.Name} size="medium"></lightning-icon>
                <lightning-layout-item padding="around-small">
                <div class="slds-grid slds-grid--align-spread slds-has-flexi-truncate">
                    <dl class="slds-list_horizontal slds-wrap">
                        <dt class="slds-item_label slds-text-color_weak">
                            ID:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.Id} 
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Name:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.Salutation} {record.Name} {record.Suffix}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Phone:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.PersonHomePhone}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            DOB:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.Date_of_Birth__c}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            Address:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.PersonMailingStreet}
                        </dd>
                        <dt class="slds-item_label slds-text-color_weak">
                            MRN:
                        </dt>
                        <dd class="slds-item_detail">
                            {record.HealthCloudGA__MedicalRecordNumber__c}
                        </dd>
                        <template if:true={isRank}>
                            <dt class="slds-item_label slds-text-color_weak">
                                Rank:
                            </dt>
                            <dd class="slds-item_detail">
                                {rankLabel}
                            </dd>
                        </template>
                    </dl>
                </div>
                <!--<div class="slds-grid slds-gutters">
                    <div class="slds-col">
                        <span>
                            <p class="slds-truncate">Name: {record.Name}</p>
                            <p class="slds-truncate">Phone: {record.PersonHomePhone}</p>
                            <p class="slds-truncate">DOB: {record.Date_of_Birth__c}</p>
                        </span>
                    </div>
                    <div class="slds-col">
                        <span>&nbsp;
                        </span>
                    </div>
                    <div class="slds-col">
                        <span>
                            <p class="slds-truncate">SSN: {record.SSN_Last_4__c}</p>
                            <p class="slds-truncate">Gender: {record.HealthCloudGA__Gender__pc}</p>
                            <p class="slds-truncate">MRN: {record.HealthCloudGA__MedicalRecordNumber__c}</p>
                        </span>
                    </div>
                </div> -->                   
            </lightning-layout-item>
		</lightning-layout>
		</div>
    </a>
</template>